Subject: Re: bug#675: sysv support to stubby (attached the necessary files)

From: Alexis PM <[email-masked]>
Date: Mon, 4 Apr 2022 19:59:30 +0000 (UTC)

> Control: forcemerge -1 676
> Control: tags -1 debian
> Control: forwarded -1 https://bugs.debian.org/1008931
>
> Alexis
>
> Thanks for this.
>
> On Mon, Apr 04, 2022 at 03:23:46PM +0000, Alexis PM wrote:
>> Package: stubby
>> Version: 1.6.0-2
>> Severity: severe
>
> However stubby is not a forked package in Devuan and we use Debian's packages
> directly without recompilation.
>
>
>> The current stubby package in Debian and Devuan only works with systemd and
>> has no sysv support, so it is unusable as there is no daemon running on a sysv
>> system like Devuan.
>>
>> I have reported this bug to Debian with normal severity and suggested
>> backporting to the current stable: https://bugs.debian.org/1008931
>
>
> Getting this fixed in Debian is therefore the correct way to go and Devuan will
> automatically inherit the benefit.

I suggest adopting/forking the package in Devuan at least to make the versions in stable and oldstable work, considering that the necessary work I have already done, it is an important package for security and it is a problem of lack of support for init alternatives to systemd (the proposed fix in Debian will not reach the stable versions of Devuan).

In any case, thanks for your interest.